## cryptsetup 2.3.4

=== debian/changelog ===
cryptsetup (2:2.3.4-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 07 Sep 2020 12:10:09 +0200

cryptsetup (2:2.3.4-1) unstable; urgency=high

  * New upstream bugfix release, including fix for CVE-2020-14382:
    possible out-of-bounds memory write while validating LUKS2 data
    segments metadata on 32-bits platforms. (Closes: #969471)

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 04 Sep 2020 00:30:40 +0200

cryptsetup (2:2.3.3-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports. (Closes: #963696)

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 17 Aug 2020 23:46:34 +0200

cryptsetup (2:2.3.3-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * d/control: Annotate Build-Depends with <!nocheck>. (Closes: #964092)

  [ Guilhem Moulin ]
  * d/rules: Build with `--with-tmpfilesdir` to force installing
    usr/lib/tmpfiles.d/cryptsetup.conf instead of picking the source from
    scripts/cryptsetup.conf.  This fixes FTBS in environments containing
    systemd. (Closes: #968250)
  * Add 'bitlk' flag in crypttab(5) to force detection of Windows BitLocker
    volumes. (Closes: #967853)

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 12 Aug 2020 00:22:59 +0200
