=== debian/changelog ===
cryptsetup (2:2.3.7-1+deb11u1) bullseye-security; urgency=high

  * New upstream security/bugfix release, with fixes for:
    + CVE-2021-4122: decryption through LUKS2 reencryption crash recovery.
      (Closes: #1003686)
    + Key truncation for standalone dm-integrity devices using HMAC integrity
      protection.  (Closes: #949336)
  * Update d/gbp.conf and d/salsa-ci.yml to use d/bullseye branch.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 01 Feb 2022 15:36:35 +0100
