## cryptsetup 2.4.2

=== debian/changelog ===
cryptsetup (2:2.4.2-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 23 Nov 2021 21:53:50 -0500

cryptsetup (2:2.4.2-1) unstable; urgency=high

  * New upstream bugfix release 2.4.2.
  * d/control: Replace Build-Depends on removed package libsepol1-dev with
    libsepol-dev. (Closes: #999815)
  * blkid/un_blkid checks: Ignore large offsets when converting from sectors
    to bytes.
  * crypttab(5): Formatting fix.
  * Refresh d/copyright.
  * Refresh lintian overrides to accommodate lintian v2.112.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 18 Nov 2021 17:15:08 +0100

cryptsetup (2:2.4.1-1) unstable; urgency=medium

  [ Guilhem Moulin ]
  * New upstream bugfix release 2.4.1.
  * d/rules:
    + Use execute_after_dh_* from Debhelper compatibility level 13 when
      relevant.
    + Skip documentation generation under nodoc profile.
    + Add new target execute_before_dh_auto_test so blhc ignores compilations
      of tests/*.c.
  * d/cryptsetup-initramfs.lintian-overrides: Refresh for lintian 2.107.0.
  * crypttab(5):
    + Improve documentation about escape sequences.
    + Document that keyscript= can also take an absolute path.
      (Closes: #994219)
    + Document that keyscript's exit status is ignored.
    + Various typo fixes and manpages improvements.
  * initramfs: Add new hook configuration option ASKPASS=[Yn] to opt out from
    askpass inclusion. (Closes: #994486)
  * d/cryptsetup-initramfs.post*: Replace `which` with `command -v`.
  * Merge debian/experimental branch and bring cryptsetup-suspend to sid.
  * d/bash_completion: s/mawk/awk/.  We're only using the POSIX subset so any
    implementation should work. (Closes: #993374)
  * Add DEP-8 tests for cryptdisks_start and cryptdisks_stop covering most of
    d/functions and d/cryptdisks-functions.  The testbed requires
    'isolation-machine' restriction since we need to load kernel modules and
    create loop devices.
  * d/gbp.conf, d/watch: Explicitly use gzip compression.

  [ Christoph Anton Mitterer ]
  * d/functions: Export _CRYPTTAB_* to the keyscript's environment.

  [ Lukas Schwaighofer ]
  * initramfs: Honor activation/auto_activation_volume_list setting.
    (Closes: #993725)

  [ Thorsten Glaser ]
  * blkid/un_blkid checks: Honor offset= option. (Closes: #994056)

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 08 Oct 2021 14:27:03 +0200

cryptsetup (2:2.4.0-1+exp1) experimental; urgency=medium

  * Upload to experimental.
  * d/rules: Prefix /lib/systemd/system-shutdown/cryptsetup-suspend.shutdown
    with /usr to fix FTBS with debhelper 13.4; see #992469.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 19 Aug 2021 22:55:02 +0200

cryptsetup (2:2.4.0-1) unstable; urgency=low

  [ Guilhem Moulin ]
  * New upstream release.
  * Salsa CI: Set SALSA_CI_BLHC_ARGS to avoid failing when *test* files are
    built without the "right" LDFLAGS.
  * Remove obsolete upstart configuration files on upgrade and purge.
    (Closes: #990490)
  * d/*.{pre,post}*: Explicitly exit with status code 0.
  * d/copyright: Set field Upstream-Name.
  * d/control: Bump Standards-Version to 4.6.0 (no changes necessary).
  * d/control: Remove cryptsetup-run from cryptsetup's Recommends.
    (Closes: #987769)
  * d/control: Demote cryptsetup-initramfs from cryptsetup's Recommends to
    Suggests.  This concludes the package split started in 2:2.0.3-1 during
    the Buster release cycle.

  [ Ayla Ounce ]
  * Add support for --perf_* flags to initramfs.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 19 Aug 2021 03:11:11 +0200

cryptsetup (2:2.4.0~rc1-1+exp1) experimental; urgency=medium

  * New upstream release candidate.
  * d/copyright: Update file.
  * d/cryptsetup.docs: Add upstream's README.md.
  * d/TODO.md: Remove implemented `luksSuspend` integration.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 30 Jul 2021 02:37:32 +0200

cryptsetup (2:2.4.0~rc0-1+exp1) experimental; urgency=medium

  * New upstream release candidate 2.4.0.  Highlights include:
    + Support for external libraries (plugins) for handling LUKS2 token
      objects.
    + Experimental SSH token handler and cryptsetup-ssh(8) utility (both
      shipped in the 'cryptsetup' binary package) as a demonstration of the
      external LUKS2 token interface.  This adds libssh-dev to build-depends.
    + Change default LUKS2 PBKDF to Argon2id from Argon2i.
    + Increase minimal memory cost for Argon2 benchmark to 64MiB (suggested
      value in Argon2 RFC).
    + Autodetect optimal encryption sector size on LUKS2 format.
    + integritysetup: add integrity-recalculate-reset flag.
    + cryptsetup: retains keyslot number in luksChangeKey for LUKS2.
    + Add close --deferred and --cancel-deferred options.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 06 Jul 2021 10:18:17 +0200

cryptsetup (2:2.3.6-1+exp1) experimental; urgency=medium

  * New upstream bugfix release.  (Closes: #949336)

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 28 May 2021 22:54:20 +0200

cryptsetup (2:2.3.5-1+exp1) experimental; urgency=medium

  * Upload to experimental.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 11 Mar 2021 23:36:01 +0100

cryptsetup (2:2.3.4-2+exp1) experimental; urgency=medium

  * Upload to experimental.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 14 Jan 2021 19:55:25 +0100

cryptsetup (2:2.3.4-1+exp1) experimental; urgency=medium

  * Upload to experimental.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 04 Sep 2020 00:55:41 +0200

cryptsetup (2:2.3.3-3+exp3) experimental; urgency=medium

  * d/control: Make cryptsetup-suspend explicitly depend on
    initramfs-tools-core as we use unmkinitramfs(8) in the wrapper.
  * systemd-suspend.service override: Set OOMScoreAdjust to -1000 to
    disable OOM killing of processes of the unit.  Thanks, ಚಿರಾಗ್.
    (Closes: #968569)
  * d/doc/cryptsetup-suspend.xml: Document that key material included in the

