=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cryptsetup
 Section: admin
 Priority: optional
-Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@alioth-lists.debian.net>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@alioth-lists.debian.net>
 Uploaders: Jonas Meurer <jonas@freesources.org>,
            Guilhem Moulin <guilhem@debian.org>
 Rules-Requires-Root: no
@@ -10,8 +11,8 @@
                autopoint,
                debhelper-compat (= 13),
                dh-strip-nondeterminism,
-               docbook-xml,
-               docbook-xsl,
+               docbook-xml <!nodoc>,
+               docbook-xsl <!nodoc>,
                gettext,
                jq <!nocheck>,
                libargon2-dev,
@@ -20,16 +21,17 @@
                libjson-c-dev,
                libpopt-dev,
                libselinux1-dev,
-               libsepol1-dev,
+               libsepol-dev,
+               libssh-dev,
                libssl-dev,
                libtool,
                pkg-config,
                po-debconf,
                procps <!nocheck>,
                uuid-dev,
-               xsltproc,
+               xsltproc <!nodoc>,
                xxd <!nocheck>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://gitlab.com/cryptsetup/cryptsetup
 Vcs-Browser: https://salsa.debian.org/cryptsetup-team/cryptsetup
 Vcs-Git: https://salsa.debian.org/cryptsetup-team/cryptsetup.git -b debian/latest
@@ -41,9 +43,8 @@
          dmsetup,
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: dosfstools, keyutils, liblocale-gettext-perl
+Suggests: cryptsetup-initramfs, dosfstools, keyutils, liblocale-gettext-perl
 Replaces: cryptsetup-run (<< 2:2.1.0-6)
-Recommends: cryptsetup-initramfs, cryptsetup-run
 Breaks: cryptsetup-run (<< 2:2.1.0-6)
 Description: disk encryption support - startup scripts
  Cryptsetup provides an interface for configuring encryption on block
@@ -57,7 +58,7 @@
  file /etc/crypttab. Additional features are cryptoroot support through
  initramfs-tools and several supported ways to read a passphrase or key.
  .
- This package provides the cryptdisk_start and stop wrappers and
+ This package provides the cryptdisks_start and _stop wrappers, as well as
  luksformat.
 
 Package: cryptsetup-bin
@@ -89,6 +90,28 @@
  Setup (LUKS) support.
  .
  This package provides initramfs integration for cryptsetup.
+
+Package: cryptsetup-suspend
+Architecture: linux-any
+Multi-Arch: foreign
+Depends: cryptsetup-initramfs (>= ${source:Version}),
+         initramfs-tools-core,
+         kbd,
+         systemd,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: disk encryption support - suspend mode integration
+ Cryptsetup provides an interface for configuring encryption on block
+ devices (such as /home or swap partitions), using the Linux kernel
+ device mapper target dm-crypt. It features integrated Linux Unified Key
+ Setup (LUKS) support.
+ .
+ This package provides suspend mode integration for cryptsetup. It takes
+ care of removing LUKS master key from memory before system suspend.
+ .
+ Please note that the suspend mode integration is limited to LUKS devices
+ and requires systemd.  Moreover, this is an early implementation and may not
+ be as mature as the other cryptsetup-* packages yet.
 
 Package: cryptsetup-run
 Section: oldlibs
