=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,9 @@
 %:
 	dh $@
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFFLAGS) \
 		--libdir=/lib/$(DEB_HOST_MULTIARCH) \
@@ -27,13 +30,16 @@
 		--enable-shared \
 		--enable-cryptsetup-reencrypt
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
+	# build askpass and passdev keyscripts
+	$(CC) -o debian/askpass debian/askpass.c -Wall -Werror $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -pedantic
+	$(CC) -o debian/scripts/passdev debian/scripts/passdev.c -Wall -Werror $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -pedantic
 
-	# build askpass and passdev keyscripts
-	$(CC) -o debian/askpass debian/askpass.c $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -pedantic
-	$(CC) -o debian/scripts/passdev debian/scripts/passdev.c $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -pedantic
+	# build suspend binary
+	$(CC) -o debian/scripts/suspend/cryptsetup-suspend debian/scripts/suspend/cryptsetup-suspend.c \
+		 -Wall -Werror $(CFLAGS) $(CPPFLAGS) -I$(CURDIR)/lib $(LDFLAGS) -L$(CURDIR)/.libs -lcryptsetup -pedantic
 
+ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
 	# generate manpages
 	sed 's/VERSION/$(DEB_VERSION)/;s/DATE/$(DEB_DATE)/' \
 		debian/doc/variables.xml.in >debian/doc/variables.xml
@@ -43,17 +49,20 @@
 	pod2man --section=8 --center="Administrative commands" \
 		--release="$(DEB_VERSION)" debian/scripts/luksformat \
 		debian/doc/luksformat.8
+endif
 
 	# generate gettext po files (for luksformat)
 	$(MAKE) -C debian/scripts/po all luksformat.pot
 
-override_dh_auto_install:
-	dh_auto_install
+execute_before_dh_auto_test:
+	# tests/fake_token_path.c is compiled without '-Wl,-z,relro -Wl,-z,now'
+	@echo "blhc: ignore-line-regexp: gcc\\s.*\\s\\.\\./tests/[0-9A-Za-z_-]+\\.c\\s.*"
+
+execute_after_dh_auto_install:
 	# install gettext po files (for luksformat)
 	$(MAKE) -C debian/scripts/po DESTDIR=$(CURDIR)/debian/cryptsetup-bin install
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	# install apport files when building on Ubuntu
 ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes),yes)
 	mkdir -p $(CURDIR)/debian/cryptsetup/usr/share/apport/package-hooks
@@ -77,8 +86,7 @@
 	dh_installinit -pcryptsetup --no-start --name=cryptdisks
 	dh_installinit -pcryptsetup --no-start --name=cryptdisks-early
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	$(MAKE) -C debian/scripts/po update clean
 	if [ -f $(CURDIR)/debian/cryptsetup-initramfs.preinst.in ]; then \
 		mv -fT $(CURDIR)/debian/cryptsetup-initramfs.preinst.in $(CURDIR)/debian/cryptsetup-initramfs.preinst; \
@@ -87,15 +95,15 @@
 override_dh_bugfiles:
 	dh_bugfiles -A
 
-override_dh_fixperms-arch:
-	dh_fixperms
+execute_after_dh_fixperms-arch:
 	chmod 0755 debian/cryptsetup/lib/cryptsetup/checks/*
 	chmod 0755 debian/cryptsetup/lib/cryptsetup/scripts/decrypt_*
+	chmod 0755 debian/cryptsetup-suspend/lib/cryptsetup/scripts/suspend/cryptsetup-suspend-wrapper
+	chmod 0755 debian/cryptsetup-suspend/lib/systemd/system-shutdown/cryptsetup-suspend.shutdown
 	chmod 0755 debian/cryptsetup-udeb/lib/cryptsetup/checks/*
 	chmod 0755 debian/cryptsetup-udeb/lib/cryptsetup/scripts/decrypt_*
 
-override_dh_fixperms-indep:
-	dh_fixperms
+execute_after_dh_fixperms-indep:
 	chmod 0755 debian/cryptsetup-initramfs/usr/share/cryptsetup/initramfs/bin/*
 	chmod 0755 debian/cryptsetup-initramfs/usr/share/initramfs-tools/hooks/*
 	chmod 0755 debian/cryptsetup-initramfs/usr/share/initramfs-tools/scripts/*/*
